csList< T, MemoryAllocator >::ListElement Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
csList< T, MemoryAllocator >::ListElement Struct Reference

Template which describes the data stored in the linked list For example a list of ints uses ListElement<int>. More...

`#include <csutil/list.h>`

List of all members.

## Public Member Functions
| ListElement (const T &d, ListElement *newnext, ListElement *newprev)
| Use specified data.
## Public Attributes
T | data
| Stored data.
ListElement * | next
| Next element in list. If this is the last one, then next is 0.
ListElement * | prev
| Previous element in list. If this is the first one, prev is 0.

## Detailed Description

### template<class T, class MemoryAllocator = CS::Memory::AllocatorMalloc>
struct csList< T, MemoryAllocator >::ListElement

Template which describes the data stored in the linked list For example a list of ints uses ListElement<int>.

Definition at line 43 of file list.h.

## Constructor & Destructor Documentation

template<class T, class MemoryAllocator = CS::Memory::AllocatorMalloc>

csList< T, MemoryAllocator >::ListElement::ListElement | ( | const T & | d,
|  | ListElement * | newnext,
|  | ListElement * | newprev
| ) |  | `[inline]`

Use specified data.

Definition at line 46 of file list.h.

## Member Data Documentation

template<class T, class MemoryAllocator = CS::Memory::AllocatorMalloc>

T csList< T, MemoryAllocator >::ListElement::data

Stored data.

Definition at line 56 of file list.h.

template<class T, class MemoryAllocator = CS::Memory::AllocatorMalloc>

ListElement* csList< T, MemoryAllocator >::ListElement::next

Next element in list. If this is the last one, then next is 0.

Definition at line 50 of file list.h.

template<class T, class MemoryAllocator = CS::Memory::AllocatorMalloc>

ListElement* csList< T, MemoryAllocator >::ListElement::prev

Previous element in list. If this is the first one, prev is 0.

Definition at line 53 of file list.h.

The documentation for this struct was generated from the following file:

- csutil/list.h